View Issue Details

IDProjectCategoryView StatusLast Update
0000114Siril[All Projects] Sirilpublic2016-04-23 01:01
ReportervinvinAssigned Tolock42 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version0.9.2Fixed in Version0.9.2 
Summary0000114: Allow a reference magnitude to be set to get absolute magnitude instead of relative
DescriptionWe currently have an easy way to get relative magnitude, but no way to set a reference magnitude for one of the detected stars. That would be easy to do and would give absolute magnitude for other non-saturated stars instead of relative.
TagsNo tags attached.

Relationships

related to 0000131 acknowledged Multiple stars for reference magnitude 
related to 0000132 resolvedlock42 Absolute magnitude for sequence measurements (astrometry) 

Activities

There are no notes attached to this issue.

Related Changesets

Siril: trunk r1224

2016-03-03 16:02:23

lock42

Details
New command fixing Issue 0000114:
setmag and unsetmag in order to reduce true magnitude thanks to a reference
Affected Issues
0000114
mod - /trunk/src/algos/PSF.c
mod - /trunk/src/core/command.c
mod - /trunk/src/core/command.h
mod - /trunk/src/core/siril.h
mod - /trunk/src/gui/callbacks.c
mod - /trunk/src/gui/siril3.glade
mod - /trunk/src/io/sequence.c

Issue History

Date Modified Username Field Change
2016-03-03 12:21 vinvin New Issue
2016-03-03 16:02 lock42 Changeset attached => Siril trunk r1224
2016-03-03 16:03 lock42 Status new => resolved
2016-03-03 16:03 lock42 Fixed in Version => 0.9.2
2016-03-03 16:03 lock42 Resolution open => fixed
2016-03-03 16:03 lock42 Assigned To => lock42
2016-03-03 16:03 lock42 Target Version 0.9.3 => 0.9.2
2016-04-23 00:56 vinvin Relationship added related to 0000131
2016-04-23 01:01 vinvin Relationship added related to 0000132
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril